package com.xhpc.system.mapper;

import java.util.List;
import java.util.Map;

import com.xhpc.system.domain.SysNotice;
import org.apache.ibatis.annotations.Param;

/**
 * 通知公告表 数据层
 *
 * @author ruoyi
 */
public interface SysNoticeMapper
{
    /**
     * 查询公告信息
     *
     * @param noticeId 公告ID
     * @return 公告信息
     */
    public SysNotice selectNoticeById(Long noticeId);

    /**
     * 查询公告列表
     *
     * @param notice 公告信息
     * @return 公告集合
     */
    public List<SysNotice> selectNoticeList(SysNotice notice);

    /**
     * 新增公告
     *
     * @param notice 公告信息
     * @return 结果
     */
    public int insertNotice(SysNotice notice);

    /**
     * 修改公告
     *
     * @param notice 公告信息
     * @return 结果
     */
    public int updateNotice(SysNotice notice);

    /**
     * 批量删除公告
     *
     * @param noticeId 公告ID
     * @return 结果
     */
    public int deleteNoticeById(Long noticeId);

    /**
     * 批量删除公告信息
     *
     * @param noticeIds 需要删除的公告ID
     * @return 结果
     */
    public int deleteNoticeByIds(Long[] noticeIds);

    /**
     * Showing notice items in the small app.
     * @return
     */
    List<Map<String,Object>> selectTypeContentCreateTimeId();

    /**
     * Show the number of notices which have not been read in small app.
     * @param userId
     * @return
     */
    int countNotRead(@Param("userId") Integer userId);


    /**
     * Showing ids which have not been read in small app.
     * @param userId
     * @return
     */
    List<Map<String,Object>> selectNotReadIds(@Param("userId") Long userId);




    int insertIntoRead(@Param("noticeId") Integer noticeId,@Param("userId") Long userId);


    Map<String,Object> selectContent(@Param("noticeId") Integer noticeId);


}
